Skip to content

Instantly share code, notes, and snippets.

@jayalane
jayalane / fix.sh
Created May 17, 2020
recover from qt4 removal in debian
View fix.sh
#! /bin/bash
# pairs was just a package that randomly showed up in the broken dependencies.
# almost any apt-get command would have a spew of broken packages like this:
# # pairs : Depends: kde-runtime (> 4:4.10) but it is not installable
# Depends: libkdeclarative5 (>= 4:4.7.0) but it is not going to be installed
# Depends: libkdecore5 (>= 4:4.4.95) but it is not going to be installed
# Depends: libkdeui5 (>= 4:4.7.0) but it is not going to be installed
# Depends: libkio5 (>= 4:4.3.4) but it is not going to be installed
# Depends: libknewstuff3-4 (>= 4:4.4.0) but it is not going to be installed
View gist:c6dbe7918aa9635b62c874d20f57dfec
(gdb) bt
#0 0x000000000047d36b in process_chk_conn (t=0x77b390) at include/proto/connection.h:700
#1 process_chk (t=0x77b390) at src/checks.c:2283
#2 0x00000000004c4cef in process_runnable_tasks () at src/task.c:229
#3 0x0000000000482b80 in run_thread_poll_loop (argc=<value optimized out>, argv=0x7fffffffeac8) at src/haproxy.c:2326
#4 main (argc=<value optimized out>, argv=0x7fffffffeac8) at src/haproxy.c:2925
[root@..... haproxy-1.8.0]# ./haproxy -vv
Sharing filter with vars
Sharing email_alert with comp_state